Name: alterator-install2-desktop
Version: 0.10
Release: alt7

Summary: Desktop installer stage2
License: GPL
Group: System/Configuration/Other
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

Source: %name-%version.tar

BuildRequires: alterator rpm-devel libdevmapper-devel

# XXXlegion: Don't use contents_index to find shell requires (find-package).
%define _pkg_contents_index_bin /dev/null
%define _pkg_contents_index_all /dev/null

# XXXlegion: This BuildRequires need to make rpm happy (find-requires).
BuildRequires: alterator-wizard chrooted

#engine
Requires: alterator-install-common-desktop = %version-%release
Requires: alterator-browser-qt
Requires: alterator-backend-x11
Requires: alterator-tzone
Requires: alterator-datetime
Requires: xinit xinitrc xorg-x11-server xorg-x11-drv-video xrandr
Requires: eject findutils
Requires: console-vt-tools
Requires: fonts-ttf-dejavu
Requires: x-cursor-theme-jimmac

#install2 modules
Requires: alterator-vm
Requires: alterator-syskbd glibc-timezones gettext

%package -n alterator-install3-desktop
Summary: Desktop installer stage3
License: GPL
Group: System/Configuration/Other

Conflicts: alterator-install2-desktop

#engine
Requires: alterator-install-common-desktop = %version-%release

#install3 modules
Requires: fdisk glibc-timezones
Requires: alterator-openntpd
Requires: alterator-users
Requires: alterator-apt
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-x11

%package -n alterator-install-common-desktop
Summary: Desktop installer common files
License: GPL
Group: System/Configuration/Other

#engine
Requires: alterator-wizard alterator-autoinstall

%description
Installer stage2

%description -n alterator-install3-desktop
Desktop installer stage3

%description -n alterator-install-common-desktop
Desktop installer common files

%prep
%setup -q

%build
%make_build

%install
%makeinstall
mkdir -p  %buildroot/usr/share/alterator/help/ru_RU
install help/ru_RU/* %buildroot/usr/share/alterator/help/ru_RU/
ln -s /usr/share/alterator/help/ru_RU %buildroot/usr/share/alterator/help/ru_UA
%find_lang alterator-install2

%files -f alterator-install2.lang
%_sysconfdir/alterator/profile.d/*
%_sbindir/*
%_datadir/install2
%_datadir/alterator/ui/install2
%_alterator_backend2dir/deadline
%_alterator_backend3dir/*
%exclude %_sbindir/bootsector
%exclude %_sbindir/devmap_name
%exclude %_sbindir/md-list
%exclude %_alterator_backend3dir/lilo

%files -f alterator-install2.lang -n alterator-install3-desktop
%_sbindir/bootsector
%_sbindir/devmap_name
%_sbindir/md-list
%_datadir/install3
%_datadir/alterator/ui/install3
%_alterator_backend2dir/*
%_alterator_backend3dir/lilo
%exclude %_alterator_backend2dir/deadline

%files -f alterator-install2.lang -n alterator-install-common-desktop
%_datadir/alterator/maps/*
%_datadir/alterator/help/ru_RU/*
%_datadir/alterator/help/ru_UA

%changelog
* Tue Oct 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt7
- added hack to set up vm-profile in depands of disk contents
- added hack to set up packages list in depands of availible memory

* Wed Oct 03 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt6
- disabled some functions from hotplug 

* Wed Sep 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt5
- added xdm setup and mktemp disabling

* Mon Sep 10 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt4
- added message when installing wine@etersoft 

* Tue Aug 14 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt3
- added setting encoding for russian man pages
- licenses updated

* Thu Aug 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt2
- changed umask for automaunted partitions
- help updated

* Thu Jul 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.10-alt1
- help added
- writing resume=swap:.. added

* Wed Jul 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt12
- timezone/datetime moved before basesystem 

* Thu Jul 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt11
- license texts fixed 
- langlists changed
- s/ntfs/ntfs-3g

* Thu Jun 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt10
- added ro mounting all availible partitions  

* Thu Jun 21 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt9
- added setup_vm_profile, start animation fixed 

* Fri Jun 15 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt8
- added "utf8" to cdrom row in /etc/fstab 

* Wed Jun 13 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt7
- icons added
- button.ko by default

* Fri Jun 08 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt6
- new timezone and network configuration fom inger@ 

* Tue Jun 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt5
- lilo now uses graphics screen
- rpm_install_langs cleared

* Tue May 29 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt4
- icons added 

* Tue May 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.9-alt3
- added splash=silent into lilo.conf template 
- packages.scm with conflicts resolution
- s/net-tcp/net-eth/

* Tue May 08 2007 Alexey Gladkov <legion@altlinux.ru> 0.9-alt2
- Renamed alterator-install-server* to alterator-install*-desktop.

* Fri May 04 2007 Dmitry V. Levin <ldv@altlinux.org> 0.9-alt1
- Renamed alterator-install* to alterator-install*-server.

* Thu May 03 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8.5-alt1
- bin/install2-cleanup.in:
  + Hopefully fixed removable media ejection.

* Wed May 02 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8.4-alt1
- bin/install2.in:
  + Enhanced debug shell running code.
  + Lowered system-wide raid synchronization speed.
  + Obfuscated passwords in /root/.install-log/*.log
- backend3/lilo.in:
  + Cleared locale settings.
- ui/install3/finish.scm:
  + Removed reference to automatic installation file.
- po/uk.po:
  + Update from Serhii Hlodin.

* Thu Apr 26 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8.3-alt1
- Reverted broken change to cdrom mount options.

* Thu Apr 26 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8.2-alt1
- Updated to 20070426, see git changelog for details.

* Wed Apr 25 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8.1-alt1
- Disabled debug output.

* Mon Apr 23 2007 Dmitry V. Levin <ldv@altlinux.org> 0.8-alt1
- Updated to 20070423, see git changelog for details.

* Wed Apr 18 2007 Alexey Gladkov <legion@altlinux.ru> 0.7-alt2
- Updated to 20070418, see git changelog for details.

* Fri Apr 13 2007 Dmitry V. Levin <ldv@altlinux.org> 0.7-alt1
- Updated to 20070413, see git changelog for details.

* Wed Apr 11 2007 Dmitry V. Levin <ldv@altlinux.org> 0.6-alt1
- Updated to 20070411, see git changelog for details.

* Fri Apr 06 2007 Alexey Gladkov <legion@altlinux.ru> 0.5-alt1
- Updated to 20070406, see git changelog for details.

* Thu Apr 05 2007 Dmitry V. Levin <ldv@altlinux.org> 0.4-alt1
- Updated to 20070405, see git changelog for details.

* Fri Mar 30 2007 Dmitry V. Levin <ldv@altlinux.org> 0.3-alt1
- Updated to 20070330 snapshot.

* Thu Mar 08 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt7
- Rewrite Date/Time step.

* Wed Feb 21 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt6
- Fix network settings.

* Mon Feb 12 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt5
- UI optimazations.
- Change bootloader stage.
- Broke autoinstall.
- Remove net-tcp stage.

* Thu Feb 08 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt4
- Add 'ai' parameter.
- Fix package for new udev-105.
- Fix autoinstall.
- Fix cdrom method.

* Fri Jan 12 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt3
- Add autoinstall.
- Add ftp/http install methods.
- Avoid using libhw-tools.
- Use swap.
- UI optimizations.

* Wed Jan 10 2007 Alexey Gladkov <legion@altlinux.ru> 0.2-alt2
- Marge install2 and install3 stages.
- Remove useless UI step.
- UI optimizations.

* Fri Nov 17 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt4
- Initial revision.
